Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.search.ui.text
Class Match

    java.lang.Object
      org.eclipse.search.ui.text.Match

public class Match
extends Object

A textual match in a given object. This class may be subclassed (to add additional match state like accuracy, etc). The element a match is reported against is assumed to contain the match, and the UI will group matches against the same element together. A match has an offset and a length which may be specified in characters or in lines.

Since:
  3.0

Field Summary
`static int` | `UNIT_CHARACTER` A constant expressing that offset and length of this match are specified in characters
`static int` | `UNIT_LINE` A constant expressing that offset and length of this match are specified in lines

Constructor Summary
`Match(Object element, int offset, int length)` Constructs a new Match object.
`Match(Object element, int unit, int offset, int length)` Constructs a new Match object.

Method Summary
`int` | `getBaseUnit()` Returns whether match length and offset are expressed in lines or characters.
`Object` | `getElement()` Returns the element that contains this match.
`int` | `getLength()` Returns the length of this match.
`int` | `getOffset()` Returns the offset of this match.
`void` | `setLength(int length)` Sets the length.
`void` | `setOffset(int offset)` Sets the offset of this match.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNIT_LINE

    public static final int UNIT_LINE

  A constant expressing that offset and length of this match are specified in lines

  See Also:
    Constant Field Values

### UNIT_CHARACTER

    public static final int UNIT_CHARACTER

  A constant expressing that offset and length of this match are specified in characters

  See Also:
    Constant Field Values

Constructor Detail

### Match

    public Match(Object element,
                 int unit,
                 int offset,
                 int length)

  Constructs a new Match object.

Parameters:
  `element` - the element that contains the match
  `unit` - the unit offset and length are based on
  `offset` - the offset the match starts at
  `length` - the length of the match

### Match

    public Match(Object element,
                 int offset,
                 int length)

  Constructs a new Match object. The offset and length will be based on characters.

Parameters:
  `element` - the element that contains the match
  `offset` - the offset the match starts at
  `length` - the length of the match

Method Detail

### getOffset

    public int getOffset()

  Returns the offset of this match.

  Returns:
    the offset

### setOffset

    public void setOffset(int offset)

  Sets the offset of this match.

  Parameters:
    `offset` - the offset to set

### getLength

    public int getLength()

  Returns the length of this match.

  Returns:
    the length

### setLength

    public void setLength(int length)

  Sets the length.

  Parameters:
    `length` - the length to set

### getElement

    public Object getElement()

  Returns the element that contains this match.

  Returns:
    the element that contains this match

### getBaseUnit

    public int getBaseUnit()

  Returns whether match length and offset are expressed in lines or characters.

  Returns:
    either UNIT_LINE or UNIT_CHARACTER;

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.